%define modname bjack
%define name    ocaml-%{modname}
%define version 0.1.3
%define release %mkrel 3

Summary:        Ocaml blocking interface to jack audio connection kit
Name:           %{name}
Version:        %{version}
Release:        %{release}
Source0:        http://downloads.sourceforge.net/project/savonet/%{name}/%{version}/%{name}-%{version}.tar.gz
License:        LGPLv2
Group:          Development/Other
Url:            http://savonet.sourceforge.net/

BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  libjack-devel

%description 
This OCaml library is a blocking interface to jack audio
connection kit. Using it, you can create a jack device and read/write from
it much like with ALSA or OSS.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Requires:       libjack-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
./configure --libdir=%{_libdir}
make all

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/%{modname}
make install


%files
%doc COPYING CHANGES README TIPS
%dir %{_libdir}/ocaml/%{modname}
%{_libdir}/ocaml/%{modname}/META
%{_libdir}/ocaml/%{modname}/*.cma
%{_libdir}/ocaml/%{modname}/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%{_libdir}/ocaml/%{modname}/*.a
%{_libdir}/ocaml/%{modname}/*.cmxa
%{_libdir}/ocaml/%{modname}/*.cmx
%{_libdir}/ocaml/%{modname}/*.mli



%changelog

* Mon Nov 21 2011 malo <malo> 0.1.3-3.mga2
+ Revision: 170434
- missing Requires libjack-devel
- spec clean-up

* Sun Oct 02 2011 shlomif <shlomif> 0.1.3-2.mga2
+ Revision: 151076
- Rebuild for new OCaml - thanks to Malo.

* Thu Sep 29 2011 shlomif <shlomif> 0.1.3-1.mga2
+ Revision: 150277
- imported package ocaml-bjack

